﻿"use strict";
var game = function () {

    var hits;
    var currentCell;
    var cells = document.getElementsByTagName("td");
    var img = createImage();
    var timer;

    start();

    function start() {

        timer = setInterval(update, 800);
        hits = 0;
        info.innerText = "";
    }

    function update() {

        removeImage();

        currentCell = Math.floor(Math.random() * cells.length);
        cells[currentCell].appendChild(img);
    }

    function removeImage() {

        // Bild entfernen
        if (currentCell != undefined) {
            var img = document.getElementsByTagName("img")[0];
            cells[currentCell].removeChild(img);
        }
        currentCell = undefined;
    }

    function createImage() {

        var img = document.createElement("img");
        img.src = "img/monster.png";
        img.onclick = hitMonster;

        return img;
    }

    function hitMonster() {

        hits++;
        removeImage();
        
        info.innerText = hits + " monsters hit!";

        stop();
    }

    function stop() {

        if (hits == 10) {
            clearInterval(timer);
            if (!confirm("You hit all monsters!\n" + 
                         "Play again?") === true)
                window.close();
            else
                start();
        }
    }
}();